- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# aci_canonical.hh File Reference

Declaration for the canonical() algorithm. More...

Include dependency graph for aci_canonical.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<class Series, class T>
Element< Series, T > | canonical (const Element< Series, T > &exp)
| Transform a krat expression into its canonical form, following aci-rules.

## Detailed Description

Declaration for the canonical() algorithm.

See also:
  canonical()

Definition in file aci_canonical.hh.